package com.vendor.loader.struct;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.loader.struct.FlashType;

public class FileSystem {
  public static final com.vendor.loader.struct.FileSystem none = new com.vendor.loader.struct.FileSystem("none");
  
  public static final com.vendor.loader.struct.FileSystem yaffs = new com.vendor.loader.struct.FileSystem("yaffs");
  
  public static final com.vendor.loader.struct.FileSystem ext3 = new com.vendor.loader.struct.FileSystem("ext3/4");
  
  public static final com.vendor.loader.struct.FileSystem f2fs = new com.vendor.loader.struct.FileSystem("f2fs");
  
  public static final com.vendor.loader.struct.FileSystem erofs = new com.vendor.loader.struct.FileSystem("erofs");
  
  public static final com.vendor.loader.struct.FileSystem ubi = new com.vendor.loader.struct.FileSystem("ubi");
  
  public static final com.vendor.loader.struct.FileSystem squashfs = new com.vendor.loader.struct.FileSystem("squashfs");
  
  private static com.vendor.loader.struct.FileSystem[] items = new com.vendor.loader.struct.FileSystem[] { none, yaffs, ubi, ext3, squashfs, f2fs, erofs };
  
  private String fileName;
  
  public String name() {
    return this.fileName;
  }
  
  private FileSystem(String name) {
    this.fileName = name;
  }
  
  public static String[] getItems() {
    return new String[] { none.name(), yaffs.name(), ubi.name(), ext3
        .name(), squashfs.fileName, f2fs.name(), erofs.name() };
  }
  
  public static String[] getItems(FlashType flashType) {
    if (flashType == null)
      return getItems(); 
    if (fuzzyCompareFlash(flashType, FlashType.emmc) || fuzzyCompareFlash(flashType, FlashType.ufs) || flashType == FlashType.ssd)
      return new String[] { none.name(), ext3.name(), f2fs.name(), erofs.name() }; 
    if (flashType == FlashType.nand || flashType == FlashType.spi)
      return new String[] { none.name(), yaffs.name(), ubi.name(), squashfs.fileName, f2fs
          .name(), erofs.name() }; 
    return getItems();
  }
  
  public static com.vendor.loader.struct.FileSystem valueOf(String name) {
    if (name == null)
      return null; 
    if (name.equalsIgnoreCase("yaffs2"))
      name = "yaffs"; 
    for (int i = 0; i < items.length; i++) {
      if (name.equalsIgnoreCase(items[i].name()))
        return items[i]; 
    } 
    if (name.equalsIgnoreCase("ext3") || name.equalsIgnoreCase("ext4") || name
      .equalsIgnoreCase("ext3/4"))
      return ext3; 
    return null;
  }
  
  public static String[] getItems(String flashTypeName) {
    FlashType flashType = FlashType.valueOf(flashTypeName);
    return getItems(flashType);
  }
  
  public static com.vendor.loader.struct.FileSystem[] values() {
    return (com.vendor.loader.struct.FileSystem[])items.clone();
  }
  
  public static boolean fuzzyCompareFlash(FlashType flashType1, FlashType flashType2) {
    if (flashType1.toString().indexOf(flashType2.toString()) == -1)
      return false; 
    return true;
  }
}
